#ifndef MGCOORDINATES_H
#define MGCOORDINATES_H

//
// This File contains the declaration of the MGCoordinates-class
//
//   Author: Thomas Bretz
//   Version: V1.0 (1-8-2000)

#ifndef ROOT_TGFrame
#include <TGFrame.h>
#endif

class XY;

enum {
    kETypeZdAz,
    kETypeRaDec
};

class MGCoordinate;

class MGCoordinates : public TGFrame
{
    MGCoordinate *fX;
    MGCoordinate *fY;

public:
    MGCoordinates(const TGWindow* p, const Int_t type=kETypeZdAz,
                  const Bool_t flag=kTRUE,
                  const Int_t deg1=0, const UInt_t min1=0, const UInt_t sec1=0,
                  const Int_t deg2=0, const UInt_t min2=0, const UInt_t sec2=0);
    ~MGCoordinates();

    XY   GetCoordinates() const;
    void SetCoordinates(const XY &xy);

    void Print();

    ClassDef(MGCoordinates, 0)
};

#endif // MGIMAGE_H
